Bug 693251 - gnome-settings-daemon is failing to notify user of available package updates
Summary: gnome-settings-daemon is failing to notify user of available package updates
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-03 22:21 UTC by Charles R. Anderson
Modified: 2011-06-06 05:39 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-06 05:39:08 UTC
Type: ---


Attachments (Terms of Use)
.xsession-errors (12.33 KB, text/plain)
2011-04-05 15:59 UTC, Charles R. Anderson
no flags Details

Description Charles R. Anderson 2011-04-03 22:21:05 UTC
Description of problem:
gpk-update-icon is missing from package, leaving nothing to notify the user of updates.  This is a Beta blocker according to the Beta release readiness criteria.

Version-Release number of selected component (if applicable):
2.91.92-2.fc15.i686

How reproducible:
always

Steps to Reproduce:
1. install F15 Beta TC1 Live Desktop i686 image to hard drive
2. boot up
3. wait 60 minutes
  
Actual results:

no updates are offered, even though a manual "yum update" shows available updates


Expected results:

some automated process should be available in the default Desktop install to notify the user of available updates

Comment 1 Charles R. Anderson 2011-04-03 22:28:00 UTC
Please consider this bug as an Fedora 15 Beta release blocker [1].  It impacts the release criterion that "The desktop default update manager must not periodically check for updates when the system is booted live, but must periodically check for updates when running on an installed system".
 
[1] https://fedoraproject.org/wiki/Fedora_15_Beta_Release_Criteria

Comment 2 Adam Williamson 2011-04-04 15:14:03 UTC
The notification framework is different due to GNOME 3 changes, but it's still there. You may not have waited long enough, or may have missed the notification popping up at the bottom of the screen. Can you double check?

Comment 3 Charles R. Anderson 2011-04-04 15:25:35 UTC
I let it sit all day, and overnight, still no notification.  I suspended it for a couple hours this morning, then just resumed right now, and there are no notifications at all in the lower right corner.  I've been running this since Saturday morning..I've never seen an update notification.  I'll let it sit all day today just in case a notification appears.

What process should be running to check for updates?  Is there a log I can check?

Comment 4 Charles R. Anderson 2011-04-04 15:40:55 UTC
In case this is useful, here are some logs and a process listing, but I don't know what I should be looking for:

# grep -Ei 'yum|package|pk|rpm' /var/log/* | grep -v 'yum.*Installed:'

/var/log/messages:Apr  3 16:57:31 higgs kernel: [    0.000000]     pkmap   : 0xff000000 - 0xff400000   (4096 kB)
/var/log/messages-20110403:Apr  2 10:37:08 higgs kernel: [    0.000000]     pkmap   : 0xff000000 - 0xff400000   (4096 kB)
/var/log/messages-20110403:Apr  2 12:13:27 higgs kernel: [    0.000000]     pkmap   : 0xff000000 - 0xff400000   (4096 kB)
/var/log/pm-suspend.log:Running hook /usr/lib/pm-utils/sleep.d/95packagekit suspend suspend:
/var/log/pm-suspend.log:/usr/lib/pm-utils/sleep.d/95packagekit suspend suspend: success.
/var/log/pm-suspend.log:Running hook /usr/lib/pm-utils/sleep.d/95packagekit resume suspend:
/var/log/pm-suspend.log:/usr/lib/pm-utils/sleep.d/95packagekit resume suspend: success.

# ps auxw
USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
root         1  0.0  1.3  15244 13488 ?        Ss   Apr03   0:07 /sbin/init
root         2  0.0  0.0      0     0 ?        S    Apr03   0:00 [kthreadd]
root         3  0.0  0.0      0     0 ?        S    Apr03   0:04 [ksoftirqd/0]
root         6  0.0  0.0      0     0 ?        S    Apr03   0:00 [migration/0]
root         7  0.0  0.0      0     0 ?        S    Apr03   0:00 [watchdog/0]
root        13  0.0  0.0      0     0 ?        S<   Apr03   0:00 [cpuset]
root        14  0.0  0.0      0     0 ?        S<   Apr03   0:00 [khelper]
root        15  0.0  0.0      0     0 ?        S<   Apr03   0:00 [netns]
root        16  0.0  0.0      0     0 ?        S    Apr03   0:00 [sync_supers]
root        17  0.0  0.0      0     0 ?        S    Apr03   0:00 [bdi-default]
root        18  0.0  0.0      0     0 ?        S<   Apr03   0:00 [kintegrityd]
root        19  0.0  0.0      0     0 ?        S<   Apr03   0:00 [kblockd]
root        20  0.0  0.0      0     0 ?        S<   Apr03   0:00 [kacpid]
root        21  0.0  0.0      0     0 ?        S<   Apr03   0:00 [kacpi_notify]
root        22  0.0  0.0      0     0 ?        S<   Apr03   0:00 [kacpi_hotplug]
root        23  0.0  0.0      0     0 ?        S<   Apr03   0:00 [ata_sff]
root        24  0.0  0.0      0     0 ?        S    Apr03   0:00 [khubd]
root        25  0.0  0.0      0     0 ?        S<   Apr03   0:00 [md]
root        27  0.0  0.0      0     0 ?        S    Apr03   0:00 [kswapd0]
root        28  0.0  0.0      0     0 ?        SN   Apr03   0:00 [ksmd]
root        29  0.0  0.0      0     0 ?        SN   Apr03   0:02 [khugepaged]
root        30  0.0  0.0      0     0 ?        S    Apr03   0:00 [fsnotify_mark]
root        31  0.0  0.0      0     0 ?        S<   Apr03   0:00 [aio]
root        32  0.0  0.0      0     0 ?        S<   Apr03   0:00 [crypto]
root        38  0.0  0.0      0     0 ?        S<   Apr03   0:00 [kthrotld]
root        41  0.0  0.0      0     0 ?        S    Apr03   0:00 [scsi_eh_0]
root        42  0.0  0.0      0     0 ?        S    Apr03   0:00 [scsi_eh_1]
root        43  0.0  0.0      0     0 ?        S    Apr03   0:00 [scsi_eh_2]
root        44  0.0  0.0      0     0 ?        S    Apr03   0:00 [scsi_eh_3]
root        48  0.0  0.0      0     0 ?        S<   Apr03   0:00 [kpsmoused]
root       146  0.0  0.0      0     0 ?        S    Apr03   0:00 [scsi_eh_4]
root       147  0.0  0.0      0     0 ?        S    Apr03   0:16 [usb-storage]
root       304  0.0  0.0      0     0 ?        S<   Apr03   0:00 [kdmflush]
root       308  0.0  0.0      0     0 ?        S<   Apr03   0:00 [kdmflush]
root       339  0.0  0.0      0     0 ?        S    Apr03   0:00 [jbd2/dm-1-8]
root       340  0.0  0.0      0     0 ?        S<   Apr03   0:00 [ext4-dio-unwrit]
root       367  0.0  0.0      0     0 ?        S    Apr03   0:00 [kauditd]
root       385  0.0  0.0      0     0 ?        S    Apr03   0:00 [flush-253:1]
root       388  0.0  0.0   2484   724 ?        Ss   Apr03   0:00 /lib/systemd/systemd-logger
root       395  0.0  0.3   4556  3196 ?        S<s  Apr03   0:00 /sbin/udevd
root       563  0.0  0.0      0     0 ?        S<   Apr03   0:00 [cfg80211]
root       601  0.0  0.0      0     0 ?        S<   Apr03   0:00 [hd-audio0]
root       663  0.0  0.0      0     0 ?        S    Apr03   0:00 [jbd2/sda1-8]
root       664  0.0  0.0      0     0 ?        S<   Apr03   0:00 [ext4-dio-unwrit]
root       681  0.0  0.0      0     0 ?        S<   Apr03   0:00 [kdmflush]
root       701  0.0  0.0      0     0 ?        S    Apr03   0:00 [jbd2/dm-2-8]
root       702  0.0  0.0      0     0 ?        S<   Apr03   0:00 [ext4-dio-unwrit]
root       736  0.0  0.0   2152   720 ?        Ss   Apr03   0:00 /usr/sbin/mcelog --ignorenodev --daemon --foreground
dbus       739  0.0  0.2  13132  2356 ?        Ssl  Apr03   0:28 /bin/dbus-daemon --system --address=systemd: --nofork --systemd-activation
root       818  0.0  0.0  10896   600 ?        S<sl Apr03   0:00 auditd
root       820  0.0  0.0  11428   724 ?        S<sl Apr03   0:00 /sbin/audispd
root       821  0.0  0.1  16524  1560 ?        S<   Apr03   0:00 /usr/sbin/sedispatch
root       831  0.0  0.5  29292  5596 ?        Ssl  Apr03   0:16 /usr/sbin/NetworkManager --no-daemon
root       841  0.0  0.5  22036  5244 ?        Ss   Apr03   0:00 /usr/sbin/abrtd -d -s
root       846  0.0  0.1   5376  1420 ?        Ss   Apr03   0:01 /usr/sbin/crond -n
root       904  0.0  0.1  31024  1588 ?        Ssl  Apr03   0:00 /sbin/rsyslogd -n -c 5
root       905  0.0  0.0   2912   708 ?        Ss   Apr03   0:05 /usr/sbin/lldpad -d
root       913  0.0  0.2  12012  2916 ?        Ss   Apr03   0:00 cupsd -C /etc/cups/cupsd.conf
root       921  0.0  0.0      0     0 ?        S<   Apr03   0:00 [kondemand]
root       923  0.0  0.0   3372   476 ?        Ss   Apr03   1:02 irqbalance
root       929  0.0  0.0   2688   272 ?        Ss   Apr03   0:00 mdadm --monitor --scan -f --pid-file=/var/run/mdadm/mdadm.pid
root       945  0.0  0.4  26604  4208 ?        Sl   Apr03   0:01 /usr/libexec/polkit-1/polkitd
root       951  0.0  0.2   5140  2376 ?        S    Apr03   0:00 /usr/sbin/modem-manager
root       957  0.0  0.1   7420  1724 ?        Ss   Apr03   0:07 /usr/sbin/wpa_supplicant -c /etc/wpa_supplicant/wpa_supplicant.conf -B -u -f /var/log/wpa_supplicant.log -P /var/run/wpa_supplicant.pid
root       969  0.0  0.2  14564  2080 ?        Ssl  Apr03   0:00 /usr/sbin/gdm-binary -nodaemon
root       976  0.0  0.0   2040   516 tty6     Ss+  Apr03   0:00 /sbin/agetty tty6 38400
root       979  0.0  0.0   2040   508 tty4     Ss+  Apr03   0:00 /sbin/agetty tty4 38400
root       980  0.0  0.0   2040   512 tty3     Ss+  Apr03   0:00 /sbin/agetty tty3 38400
root       981  0.0  0.0   2040   512 tty5     Ss+  Apr03   0:00 /sbin/agetty tty5 38400
root       984  0.0  0.0   2040   512 tty2     Ss+  Apr03   0:00 /sbin/agetty tty2 38400
root       985  0.0  0.2  16416  2904 ?        Sl   Apr03   0:00 /usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Display1 --force-active-vt
root       988  0.2  0.8  18816  8832 tty1     Rs+  Apr03   2:22 /usr/bin/Xorg :0 -background none -verbose -auth /var/run/gdm/auth-for-gdm-UAukDu/database -nolisten tcp vt1
root      1002  0.0  0.2  41980  2956 ?        Ssl  Apr03   0:00 /usr/sbin/console-kit-daemon --no-daemon
rtkit     1114  0.0  0.1  21040  1156 ?        SNsl Apr03   0:01 /usr/libexec/rtkit-daemon
root      1206  0.0  0.3  23944  3324 ?        Sl   Apr03   0:11 /usr/libexec/udisks-daemon
root      1208  0.0  0.3  18628  3324 ?        Sl   Apr03   0:16 /usr/libexec/upowerd
root      1209  0.0  0.0   6256   416 ?        S    Apr03   0:09 udisks-daemon: polling /dev/sdb
root      1255  0.0  0.3  16372  3344 ?        Sl   Apr03   0:00 pam: gdm-password
root      1257  0.0  0.3  18880  3864 ?        Ssl  Apr03   0:00 /usr/libexec/accounts-daemon
install   1269  0.0  1.0  55480 10364 ?        Sl   Apr03   0:00 /usr/bin/gnome-keyring-daemon --daemonize --login
install   1277  0.0  0.8  50512  8608 ?        Ssl  Apr03   0:02 gnome-session
install   1287  0.0  0.0   3760   452 ?        S    Apr03   0:00 dbus-launch --sh-syntax --exit-with-session
install   1288  0.0  0.1  12644  1896 ?        Ssl  Apr03   0:09 /bin/dbus-daemon --fork --print-pid 5 --print-address 7 --session
install   1363  0.0  0.3   9220  3264 ?        S    Apr03   0:00 /usr/libexec/gconfd-2
install   1366  0.0  1.3 146708 13828 ?        Sl   Apr03   0:20 /usr/libexec/gnome-settings-daemon
install   1378  0.0  0.2   8648  2048 ?        S    Apr03   0:00 /usr/libexec/gvfsd
install   1386  0.0  0.2  34684  2644 ?        Ssl  Apr03   0:00 /usr/libexec//gvfs-fuse-daemon /home/install/.gvfs
install   1391  0.0  0.3  10804  3752 ?        S    Apr03   0:01 /usr/libexec/gvfs-gdu-volume-monitor
install   1393  0.0  0.1   9168  1936 ?        S    Apr03   0:00 /usr/libexec/gvfs-gphoto2-volume-monitor
install   1395  0.0  0.1  20024  1852 ?        Sl   Apr03   0:05 /usr/libexec/gvfs-afc-volume-monitor
install   1399  0.0  0.6  43904  6784 ?        Sl   Apr03   0:00 /usr/libexec/gsd-printer
install   1409  0.0  0.4  99028  4720 ?        S<sl Apr03   0:00 /usr/bin/pulseaudio --start --log-target=syslog
root      1412  0.0  0.1   4556  1608 ?        Ss   Apr03   0:00 /usr/sbin/bluetoothd -n
root      1417  0.0  0.0      0     0 ?        S<   Apr03   0:00 [l2cap]
install   1422  0.0  0.2  23264  2732 ?        Sl   Apr03   0:00 /usr/libexec/pulse/gconf-helper
install   1424  1.6 13.4 512244 136264 ?       Sl   Apr03  18:08 /usr/bin/gnome-shell
install   1430  0.0  1.0 109432 10812 ?        Sl   Apr03   0:09 gnome-screensaver
install   1433  0.0  0.4  36912  4124 ?        Sl   Apr03   0:00 /usr/libexec/imsettings-daemon
install   1434  0.0  0.5  21040  5528 ?        S    Apr03   0:00 abrt-applet
install   1437  0.0  1.1 188548 11528 ?        Sl   Apr03   0:33 gnome-power-manager
install   1438  0.0  0.6  22212  6628 ?        S    Apr03   0:00 /usr/bin/seapplet
install   1444  0.0  0.7  24192  7672 ?        S    Apr03   0:00 /usr/libexec/gdu-notification-daemon
install   1445  0.0  0.7  36428  7916 ?        Sl   Apr03   0:00 /usr/lib/deja-dup/deja-dup-monitor
install   1452  0.0  1.3 171080 13456 ?        Sl   Apr03   0:15 nm-applet
install   1470  0.0  0.8  45188  8740 ?        Sl   Apr03   0:00 /usr/libexec/evolution/3.0/evolution-alarm-notify
install   1493  0.0  0.2  23824  2156 ?        Sl   Apr03   0:00 /usr/libexec/dconf-service
install   1608  0.0  0.3  44212  3240 ?        Sl   Apr03   0:25 /usr/bin/ibus-daemon -r --xim
install   1614  0.0  0.4  19688  4092 ?        Sl   Apr03   0:00 /usr/libexec/ibus-gconf
install   1616  0.0  2.1 116112 21768 ?        Sl   Apr03   0:06 /usr/bin/python /usr/share/ibus/ui/gtk/main.py -s
install   1618  0.0  0.6  30940  6340 ?        Sl   Apr03   0:00 /usr/libexec/ibus-x11 --kill-daemon
install   1628  0.0  0.9  59316 10124 ?        Sl   Apr03   0:00 /usr/libexec/e-calendar-factory
install   1632  0.0  0.4  45608  4776 ?        Sl   Apr03   0:00 /usr/libexec/gnome-shell-calendar-server
install   1639  0.0  0.3   9124  3492 ?        S    Apr03   0:00 /usr/libexec/mission-control-5
install   1663  0.0  1.3 129936 13296 ?        Sl   Apr03   0:21 gnome-terminal
install   1676  0.0  0.0   2092   616 ?        S    Apr03   0:00 gnome-pty-helper
install   1679  0.0  0.1   5412  1824 pts/0    Ss   Apr03   0:00 bash
root      1806  0.0  0.2  10296  2980 pts/0    S    Apr03   0:00 sudo -s
root      1812  0.0  0.1   5412  1772 pts/0    S    Apr03   0:00 /bin/bash
install   1865  0.0  0.4  39288  4440 ?        Sl   Apr03   0:00 /usr/libexec/telepathy-logger
install   2235  0.0  0.3  12884  3368 ?        S    Apr03   0:00 /usr/libexec/gvfsd-http --spawner :1.6 /org/gtk/gvfs/exec_spaw/0
install   2237  1.5 17.4 472496 177716 ?       Sl   Apr03  15:46 /usr/lib/xulrunner-2/xulrunner-bin /usr/lib/firefox-4/application.ini https://admin.fedoraproject.org/updates/F15/FEDORA-2011-4269
root      3947  0.0  0.0      0     0 ?        S    09:43   0:00 [kworker/0:2]
root      3949  0.0  0.0      0     0 ?        S    09:45   0:00 [flush-253:2]
root      3952  0.0  0.0      0     0 ?        S    09:48   0:00 [kworker/0:0]
root      4081  0.0  0.1  14052  1756 ?        Ss   09:51   0:00 sendmail: accepting connections
smmsp     4082  0.0  0.1  12136  1592 ?        Ss   09:51   0:00 sendmail: Queue runner@01:00:00 for /var/spool/clientmqueue
root      4201  0.0  0.0      0     0 ?        S    11:15   0:00 [migration/1]
root      4203  0.0  0.0      0     0 ?        S    11:15   0:00 [ksoftirqd/1]
root      4204  0.0  0.0      0     0 ?        S    11:15   0:00 [watchdog/1]
root      4205  0.0  0.0      0     0 ?        S    11:15   0:00 [kworker/1:0]
root      4219  0.0  0.0      0     0 ?        S    11:15   0:00 [kworker/u:22]
root      4220  0.0  0.0      0     0 ?        S    11:15   0:00 [kworker/u:23]
root      4238  0.0  0.2   4552  2556 ?        S<   11:15   0:00 /sbin/udevd
root      4239  0.0  0.2   4552  2260 ?        S<   11:15   0:00 /sbin/udevd
root      4273  0.0  0.0   2400   720 ?        Ss   11:15   0:00 /usr/sbin/atd -f
root      4299  0.0  0.0      0     0 ?        S    11:15   0:00 [kworker/1:1]
root      4300  0.0  0.0      0     0 ?        S    11:20   0:00 [kworker/1:2]
root      4301  0.0  0.0      0     0 ?        S    11:20   0:00 [kworker/u:0]
root      4316  0.0  0.0   4644  1016 pts/0    R+   11:24   0:00 ps auxw

Comment 5 Charles R. Anderson 2011-04-04 15:58:01 UTC
I found the upstream commit.  Based upon this info, I'm reassigning the component to gnome-settings-daemon:

commit 3eb5c683d694050c12f438545b647362ebf8f0d3
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-22

    Remove the gpk-update-icon process, the functionality has been moved
    to gnome-settings-daemon

Here are some logs related to gnome-settings:

# grep -i gnome-settings /var/log/*

/var/log/messages:Apr  3 16:58:15 higgs dbus: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.42" (uid=500 pid=1366 comm="/usr/libexec/gnome-settings-daemon ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply=0 destination=":1.11" (uid=0 pid=1002 comm="/usr/sbin/console-kit-daemon --no-daemon "))
/var/log/messages-20110403:Apr  2 10:39:39 higgs dbus: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.42" (uid=500 pid=1398 comm="/usr/libexec/gnome-settings-daemon ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply=0 destination=":1.14" (uid=0 pid=1103 comm="/usr/sbin/console-kit-daemon --no-daemon "))
/var/log/messages-20110403:Apr  2 12:14:05 higgs dbus: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.39" (uid=500 pid=1274 comm="/usr/libexec/gnome-settings-daemon ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply=0 destination=":1.11" (uid=0 pid=977 comm="/usr/sbin/console-kit-daemon --no-daemon "))

# ps auxw | grep gnome-settings

install   1366  0.0  1.3 146708 13828 ?        Sl   Apr03   0:21 /usr/libexec/gnome-settings-daemon

Comment 6 Adam Williamson 2011-04-05 04:43:29 UTC
A difference from F14 is that it's currently set to check for updates weekly, not daily. It should do an initial check soon after install anyway, I think, but that may have got broken or changed too. I've only 'tested' this on my installed desktop so far, I'm not sure of the intended/actual immediate post-install behaviour.

Richard, any hints here?

Comment 7 Richard Hughes 2011-04-05 08:16:33 UTC
The update mechanism is indeed quite different from F14. The notification "you have updates" is shown at most once per week (as requested by the designers) although security updates are still shown the sane day. It's also a gnome-settings-daemon plugin rather than a seporate binary.

If you want to check something is being done, just do "cat ~/.xsession-errors grep updates-plugin"

Comment 8 Adam Williamson 2011-04-05 15:35:45 UTC
Richard: "The update mechanism is indeed quite different from F14. The notification "you have updates" is shown at most once per week (as requested by the designers) although security updates are still shown the sane day."

Key question, though - right after you install, should it do an initial check and notification quite quickly? Or does it wait till a week after you install or something?

Comment 9 Charles R. Anderson 2011-04-05 15:59:52 UTC
Created attachment 490024 [details]
.xsession-errors

I've attached my .xsession-errors.

I did not receive any initial notification of updates right after install.  Should we delay the release of F15 Beta until it has been at least a week for testers to report whether the updates-plugin works? 

Another key question, IMO, is whether pre-releases like Alphas and Betas should check more frequently than once per week, such as once per day, because otherwise the value provided by pre-release testing is diminished--we may end up in a situation where new updates sit for a week unnoticed, delaying any potential testing & bug reports that much more. These delays could have an undesirable affect on the tight development/testing schedule. Also, how does this week-long delay interact with updates-testing & bodhi karma timeouts? Packages may end up being pushed from updates-testing to stable updates with less or no testing due to the less frequent checking for updates by testers.

Is there a gsettings key I can change to make the notification more frequent? Can I schedule the checking for a time of day or week that I know I will be connected to a fast network for downloading the updates?

Comment 10 Charles R. Anderson 2011-04-05 19:15:46 UTC
I finally got an updates notification within the last few hours...

Comment 11 Matthias Clasen 2011-04-06 03:09:32 UTC
'Notify right after installation' is not part of the release critera, in my reading. Not going to comment on whether it is desirable or not.

And I don't really think its worth engineering a complicated solution for different notification frequency pre-release vs. post-release. Most people who are using a pre-release Fedora are probably checking for updates more frequently than the plugin will do, even if we increase the frequency.

Comment 12 Richard Hughes 2011-04-06 14:38:24 UTC
(In reply to comment #8)
> Key question, though - right after you install, should it do an initial check
> and notification quite quickly? Or does it wait till a week after you install
> or something?

It'll do a check for updates within a few minutes. If you enable or disable a repo then it's immediate., 

Richard.

Comment 13 Adam Williamson 2011-04-06 15:55:24 UTC
Well, based on this bug and my own experience it doesn't seem to - could there be a bug there?

matthias: no, it's not part of the criteria, but it does relate to the test we use to enforce the criteria, which might need to change...and I'd just like to understand the intentions here. e.g. it seems like the intention is to have an immediate check, but it's not happening. I'll have a look at xsession-errors on a fresh install soon, and test if enabling a repo does cause a check...

Comment 14 Adam Williamson 2011-04-06 15:56:02 UTC
I'm making this not a Beta blocker any more, though, as it's clear the mechanism is working, which is the intent of the criterion.

Comment 15 Charles R. Anderson 2011-04-10 15:58:34 UTC
Some notes on how to see/change the settings related to updating:

gsettings list-recursively org.gnome.settings-daemon.plugins.updates

On a Live boot (Beta RC2) this shows:

org.gnome.settings-daemon.plugins.updates active false
org.gnome.settings-daemon.plugins.updates auto-download-updates false
org.gnome.settings-daemon.plugins.updates auto-update-type 'security'
org.gnome.settings-daemon.plugins.updates banned-firmware '*/intel-ucode/*'
org.gnome.settings-daemon.plugins.updates connection-use-mobile false
org.gnome.settings-daemon.plugins.updates connection-use-wifi true
org.gnome.settings-daemon.plugins.updates enable-check-firmware true
org.gnome.settings-daemon.plugins.updates force-get-updates-login false
org.gnome.settings-daemon.plugins.updates frequency-get-updates 86400
org.gnome.settings-daemon.plugins.updates frequency-get-upgrades 604800
org.gnome.settings-daemon.plugins.updates frequency-refresh-cache 86400
org.gnome.settings-daemon.plugins.updates frequency-updates-notification 604800
org.gnome.settings-daemon.plugins.updates ignored-devices ''
org.gnome.settings-daemon.plugins.updates install-root '/'
org.gnome.settings-daemon.plugins.updates last-updates-notification uint64 0
org.gnome.settings-daemon.plugins.updates media-repo-filenames 'media.repo,.discinfo'
org.gnome.settings-daemon.plugins.updates notify-distro-upgrades false
org.gnome.settings-daemon.plugins.updates notify-update-complete false
org.gnome.settings-daemon.plugins.updates notify-update-complete-restart true
org.gnome.settings-daemon.plugins.updates notify-update-not-battery false
org.gnome.settings-daemon.plugins.updates notify-update-started true
org.gnome.settings-daemon.plugins.updates priority 300
org.gnome.settings-daemon.plugins.updates session-startup-timeout 300
org.gnome.settings-daemon.plugins.updates update-battery false

Values can be changed like this:

gsettings set org.gnome.settings-daemon.plugins.updates frequency-updates-notification <interval-in-seconds>

Comment 16 Charles R. Anderson 2011-06-06 05:39:08 UTC
Closing, as this is working as designed.


Note You need to log in before you can comment on or make changes to this bug.